<?php
$copyright_text = vinkmag_option('amp_footer_copyright', 'Copyright &copy; 2020 Vinkmag. All Right Reserved.'); 
$back_to_top = vinkmag_option('amp_back_to_top');
$amp_footer_menu    = vinkmag_option( 'amp_footer_menu' );
$footer_top_show_hide =    vinkmag_option("amp_footer_newsletter_section");
$mailchimp_short_code =    vinkmag_option("amp_footer_mailchimp");
?>

<?php if($footer_top_show_hide == 'yes'){ ?>
    <div class="footer-area">
        <?php
        $social_links = vinkmag_option('general_social_links',[]);        
        
        if(!empty($social_links)){ ?>
        <!-- footer social list start-->
        <div class="ts-footer-social-list">
            <div class="container">
                <div class="row">
                    <div class="col-lg-3">
                        <div class="footer-logo md-center">
                        <a href="<?php echo esc_url(home_url('/')); ?>">
                            <img src="<?php echo esc_url(vinkmag_src('footer_main_logo', VINKMAG_IMG . '/logo/logo_light.png')); ?>" alt="<?php bloginfo('name'); ?>">
                        </a>
                        </div>
                        <!-- footer logo end-->
                    </div>
                    <!-- col end-->

                    <div class="col-lg-5">
                        <?php if($mailchimp_short_code != ''){ ?>                       
                        <div class="newsletter-form">
                            <?php echo do_shortcode($mailchimp_short_code); ?>
                        </div>
                        <?php } ?>                                  
                        <!-- newslater end -->
                    </div>

                    <div class="col-lg-4 align-self-center">
                        <ul class="footer-social text-right xs-left md-center">
                            <?php 
                            foreach($social_links as $sl):
                                $class = 'ts-' . str_replace('xsicon xsicon-', '', $sl['icon_class']);
                            ?>
                            <li class="<?php echo esc_attr($class); ?>">
                                <a href="<?php echo esc_url($sl['url']); ?>">
                                    <i class="<?php echo esc_attr($sl['icon_class']); ?>"></i>
                                </a>
                            </li>
                            <?php endforeach; ?>
                        </ul>
                    </div>
                    <!-- col end-->
                </div>
            </div>
        </div>
        <!-- footer social list end-->
    <?php } ?>
    </div>
<?php } ?>

<footer class="amp-wp-footer">
	<div class="container">
		<div class="col-md-6">
			<div class="copyright-text">
				<?php		
				echo vinkmag_kses($copyright_text);  
				?>
			</div>
		</div>
		<div class="col-md-6">
			<div class="footer-nav-menu">
				<?php 
				wp_nav_menu([
					'menu'            => $amp_footer_menu,
					'menu_id'         => 'amp-footer-menu',				  
					'container_id'    => 'amp-footer-nav',
					'container'       => 'div',
					'menu_class'      => 'amp-footer-nav',
					'depth'           => 1,
				]);
				?>
			</div>
		</div>		
		<div class="back-to-top">
			<!-- end footer -->
			<?php if($back_to_top=="yes"): ?>
				<a href="#" aria-hidden="true"><i class="xsicon xsicon-angle-up"></i></a>
			<?php endif; ?>
		</div>
	</div>	
</footer>
