<?php
/** "AMP Header */
	$header_nav_search_section    = 'yes';
   $header_top_info_show         = 'no';
   $amp_header_menu = '';
 
	if ( defined( 'FW' ) ) {
      $header_top_info_show = vinkmag_option('amp_header_top_info_show');
      $amp_header_menu = vinkmag_option( 'amp_header_menu' );
      $header_nav_search_section = vinkmag_option( 'amp_header_nav_search_section' );
	}

 ?>

<div class="header-main-container">
   <?php if(defined( 'FW' ) && $header_top_info_show=='yes' ): ?>
      <section class="top-bar">
         <div class="container">
            <div class="col-lg-6 align-self-center md-center-item">            
               <?php get_template_part( 'template-parts/navigations/nav', 'top' ); ?>
            </div>
               <!-- end col-->
            <div class="col-lg-6 text-right align-self-center">
               <ul class="top-social">
                  <li>
                     <?php 
                     $social_links = vinkmag_option('general_social_links', 
                                 [
                                    [
                                       'icon_class' => 'xsicon xsicon-facebook-f', 
                                       'url' => esc_url('http://facebook.com/xpeedstudio/'),
                                    ]
                                 ]);
                     foreach($social_links as $sl):
                     ?>
                     <a href="<?php echo esc_url($sl['url']); ?>">
                        <i class="<?php echo esc_attr($sl['icon_class']); ?>"></i>
                     </a>
                     <?php endforeach; ?>
                  </li>
                  <li class="ts-date">
                     <i class="xsicon xsicon-clock"></i>
                           <?php echo date_i18n(get_option('date_format')); ?>
                  </li>
               </ul>
            </div>
               <!--end col -->
         </div>
         <!-- end row -->
      </section>
   <?php endif; ?>

   <header class="header-default">
      <div class="container">
         <div class="col-lg-2 pr-0">
            <div class="logo">                              
               <?php                        
                  $vinkmag_logo_url =  vinkmag_src(
                     'amp_header_logo',
                     VINKMAG_IMG . '/logo/logo_light.png'
                  );                  
               ?> 
               <?php echo  vinkmag_text_logo()?'<h1 class="logo-title">':''; ?>
                  <a rel='home' class="logo" href="<?php echo esc_url(home_url('/')); ?>">
                  <?php if(vinkmag_text_logo()): ?> 
                        <?php echo esc_html(vinkmag_text_logo()); ?>
                  <?php else: ?>
                     <img  class="img-fluid" src="<?php echo esc_url($vinkmag_logo_url); ?>" alt="<?php echo get_bloginfo('name') ?>">
                  <?php endif; ?>
                  </a>
               <?php echo vinkmag_text_logo()?'</h1>':''; ?>  
            </div>
         </div>
            <!-- logo end-->
            <div class="col-lg-10 header-nav-item">
               <div class="ts-breaking-news clearfix">
                  <h2 class="breaking-title float-left">
                     <i class="xsicon xsicon-bolt"></i> <?php esc_html_e('Breaking News :', 'vinkmag'); ?></h2>
                  <div class="breaking-news-content swiper float-left" id="breaking_slider">
                     <?php
                     $args = array(
                        'post_type'              => array( 'post' ),
                        'posts_per_page'        => 1,
                        'meta_query'             => array(
                           array(
                              'key'     => 'fw_options',
                              'value'   => '"breaking_news";s:3:"yes"',
                              'compare' => 'like'
                           )
                        ),
                     );
                  
                     // The Query
                     $the_query = new WP_Query( $args );
                     ?>
                     <div class="swiper-wrapper">
                        <?php
                        if ( $the_query->have_posts() ) :
                           while ($the_query->have_posts()):
                              $the_query->the_post();
                        ?>
                              <div class="breaking-post-content swiper-slide">
                                 <p>
                                    <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                 </p>
                              </div>
                        <?php
                           endwhile;
                           wp_reset_postdata();
                        else:
                           esc_html_e('nothing found', 'vinkmag');
                        endif;
                        ?>
                     </div>
                     <!-- If we need navigation buttons -->
                     <div class="slider-navigation">
                        <div class="swiper-button-prev">
                           <i class="xsicon xsicon-angle-left"></i>
                        </div>
                        <div class="swiper-button-next">
                           <i class="xsicon xsicon-angle-right"></i>
                        </div> 
                     </div>
                  </div>
               </div>
               <!--nav top end-->
               <nav class="navbar navbar-light xs-navbar navbar-expand-lg">
                  <div role="button" on="tap:sidebar.toggle" tabindex="0" class="hamburger">
                     <button class="elementskit-menu-hamburger elementskit-menu-toggler" type="button" data-toggle="collapse" data-target="#primary-nav" aria-controls="primary-nav" aria-expanded="false"
                           aria-label="Toggle navigation">
                           <span class="elementskit-menu-hamburger-icon"></span>
                           <span class="elementskit-menu-hamburger-icon"></span>
                           <span class="elementskit-menu-hamburger-icon"></span>
                     </button>
                  </div>                   
                  <?php if(defined( 'FW' )): ?>                        
                     <div class="nav-search-area">
                        <?php if($header_nav_search_section=='yes'): ?>
                           <div class="header-search-icon">
                           <?php get_search_form(); ?>
                           </div>
                        <?php endif; ?>
                        <!-- xs modal -->                           
                     </div>                        
                  <?php endif; ?>
               <!-- Site search end-->             
               </nav>
               <!-- nav end-->
         </div>
      </div>
   </header>
</div>

<amp-sidebar class="amp-menu-slide" id="sidebar" layout="nodisplay" side="left">
   <div on="tap:sidebar.close" class="menu-close" role="button" tabindex="0">
      <span class="icon-close">&times;</span>
   </div>
   <div class="logo-area">
      <a class="logo" href="<?php echo esc_url(home_url('/')); ?>">
         <img  class="img-fluid" src="<?php 
            echo esc_url(
               vinkmag_src(
                  'amp_header_logo',
                  VINKMAG_IMG . '/logo/logo_light.png'
               )
            );
         ?>" alt="<?php bloginfo('name'); ?>">
      </a>
   </div>
   <?php 
   wp_nav_menu([
      'menu'            => $amp_header_menu,
      'menu_id'         => 'amp-menu',				  
      'container_id'    => 'amp-nav',
      'container'       => 'div',
      'container_class' => 'sidebar',
      'menu_class'      => 'amp-nav',
      'depth'           => 3,
      'walker'          => new vinkmag_navwalker(),
      'fallback_cb'     => 'vinkmag_navwalker::fallback',
   ]);
   ?>
</amp-sidebar>