<?php
/**
 * Single view template.
 *
 * 🚫🚫🚫
 * DO NOT EDIT THIS FILE WHILE INSIDE THE PLUGIN! Changes You make will be lost when a new version
 * of the AMP plugin is released. You need to copy this file out of the plugin and put it into your
 * custom theme, for example. To learn about how to customize these Reader-mode AMP templates, please
 * see: https://amp-wp.org/documentation/how-the-plugin-works/classic-templates/
 * 🚫🚫🚫
 *
 * @package AMP
 */

/**
 * Context.
 *
 * @var AMP_Post_Template $this
 */

$this->load_parts( [ 'html-start' ] );
?>

<?php $this->load_parts( [ 'header' ] ); ?>

<article class="amp-wp-article">
	<?php get_template_part( 'template-parts/blogs/breadcumbs/breadcumb', 'style1' ); ?>
	<div class="amp-single-post">
		<header class="amp-wp-article-header">
			<h1 class="amp-wp-title"><?php echo $this->get( 'post_title' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?></h1>
			<?php
			/**
			 * Filters the template parts loaded in the header area of the AMP legacy post template.
			 *
			 * @since 0.4
			 * @param string[] Templates to load.
			 */
			//vinkmag_post_meta();
			?>
			<ul class="post-meta-info">       
				<?php if(vinkmag_option( 'blog_author_show', 'yes' ) == 'yes'): ?>
				<li class="author">
					<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
						<?php if(vinkmag_option( 'blog_author_image_show', 'yes' ) == 'yes'):?>
						<?php echo get_avatar(get_the_author_meta('ID')); ?> 
						<?php endif; ?> 
						<?php echo esc_html(get_the_author_meta('display_name')); ?>
					</a>
				</li>
				<?php endif; ?>
				<?php if(vinkmag_option( 'blog_date_show', 'yes' ) == 'yes'): ?>
				<li>
					<i class="xsicon xsicon-clock"></i>
					<?php echo get_the_date(); ?>
				</li>
				<?php endif; ?>

				<?php if(vinkmag_option( 'blog_cat_show', 'yes' ) == 'yes'): ?>
				<?php $category	 = get_the_category(); if ( !empty( $category ) ): ?>
					<li>
						<a href="<?php echo esc_url( get_category_link($category[ 0 ]->cat_ID) ); ?>" class="post-cat" style="<?php echo esc_attr(vinkmag_cat_style($category[ 0 ]->cat_ID)); ?>">
							<?php echo esc_html( $category[ 0 ]->cat_name ); ?>
						</a>
					</li>
				<?php endif; endif; ?>

				<?php if(vinkmag_option('blog_view_count_show', 'yes') == 'yes' && class_exists('Vinkmag_Essentials_Includes')): ?>
				<li class="active">
					<i class="xsicon xsicon-gripfire"></i>
					<?php echo vinkmag_get_postview(get_the_ID()); ?>
				</li>
				<?php endif; ?>

				<?php if(vinkmag_option('blog_social_share_show', 'yes') == 'yes'): ?>
				<li class="social-share-post">
					<span class="share-post"><i class="xsicon xsicon-share"></i></span>
					<?php vinkmag_social_share(); ?>
				</li>
				<?php endif; ?>

				<?php if(vinkmag_option('blog_read_time_show', 'yes') == 'yes'): ?>
				<li>
					<?php echo vinkmag_count_read_time(); ?>
				</li>
				<?php endif; ?>
			</ul>
		</header>

		<?php $this->load_parts( [ 'featured-image' ] ); ?>

		<div class="amp-wp-article-content">
			<?php echo $this->get( 'post_amp_content' ); // phpcs:ignore WordPress.Security.EscapeOutput.OutputNotEscaped ?>
			<?php
			/**
			 * Filters the template parts to load in the footer area of the AMP legacy post template.
			 *
			 * @since 0.4
			 * @param string[] Templates to load.
			 */
			$this->load_parts( apply_filters( 'amp_post_article_footer_meta', [ 'meta-taxonomy' ] ) );
			?>
		</div>
	</div>
	<div class="amp-comment-container">
		<?php comments_template(); ?>
	</div>
</article>

<?php $this->load_parts( [ 'footer' ] ); ?>

<?php
$this->load_parts( [ 'html-end' ] );
