( function ($, elementor) {
    "use strict";

    var Vinkmag = {

        init: function () {

            var widgets = {
                'vinazine-featured-post.default': Vinkmag.Vinkmag_Featured_Post_Widget,
                'vinazine-popular-post.default': Vinkmag.Vinkmag_Popular_Post_Widget,
                'vinazine-hot-post.default': Vinkmag.Vinkmag_Hot_Post_Widget,
                'vinazine-more-post.default': Vinkmag.Vinkmag_More_Post_Widget,
                'vinazine-video-post-slider.default': Vinkmag.Vinkmag_Video_Post_Slider_Widget,
                'vinazine-post-block-slider.default': Vinkmag.Vinkmag_Post_Block_Slider_Widget,
                'vinazine-trending-post.default': Vinkmag.Vinkmag_Trending_Post_Widget,
                'vinazine-home-featured-slider.default': Vinkmag.Vinkmag_Home_Featured_Slider_Widget,
                'vinazine-more-post2.default': Vinkmag.Vinkmag_More_Post2_Widget,
                'vinazine-more-post-two.default': Vinkmag.Vertical_Grid_Post_Widget,
            };

            $.each(widgets, function (widget, callback) {
                elementor.hooks.addAction('frontend/element_ready/' + widget, callback);
            });

        },

        
        
        Vinkmag_Video_Post_Slider_Widget: function ($scope) {
            var s = $scope.find('.video-slider');
            if (s.length > 0) {
                let video_slider = new Swiper(s, {
                    // Optional parameters
                    direction: 'horizontal',
                    allowTouchMove:true,
                    mousewheel: {
                        invert: true,
                    },
                    loop: true,
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 480 up
                        480: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 768 up
                        768: {
                            slidesPerView: 2.1,
                            centeredSlides: true,
                        },
                        // breakpoint from 768 up
                        1200: {
                            slidesPerView: 2.1,
                            centeredSlides: true,
                        }
                    }
                });
                video_slider.slideTo(2, false,false);
            }
           
        },

        Vinkmag_More_Post2_Widget: function ($scope) {
            var carousel = $scope.find('.vinazine-more-post2');
            if (carousel.length > 0) {
                var autoplay = (carousel.attr('data-autoplay') == 'yes') ? true : false;
                let slide_autoplay_delay = 5000;
                new Swiper(carousel, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    slidesPerView: 4,
                    speed: 600,
                    mousewheelControl: 1,
                    autoplay: autoplay ? { delay: slide_autoplay_delay } : false,
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 480 up
                        480: {
                            slidesPerView: 2,
                            spaceBetween: 25,
                        },
                        // breakpoint from 768 up
                        768: {
                            slidesPerView: 2,
                            spaceBetween: 25,
                        },
                        // breakpoint from 768 up
                        1200: {
                            slidesPerView: 4,
                            spaceBetween: 32,
                            allowTouchMove:true,
                            mousewheel: {
                                invert: true,
                            },
                        }

                    }
                
                });
            }
        },

        Vinkmag_Featured_Post_Widget: function ($scope) {
            var slider1 = $scope.find('.slider-grid-style1');
            if (slider1.length > 0) {
                let controls = slider1.data('controls');
                let widget_id = controls.widget_id;
                let slide_autoplay = Boolean(controls.show_autoplay?true:false);
                let slide_autoplay_delay = 5000;
                new Swiper(slider1, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    slidesPerView: 1,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    autoplay: slide_autoplay ? { delay: slide_autoplay_delay } : false,
                    // Navigation arrows
                    navigation: {
                        nextEl: `.swiper-next-${widget_id}`,
                        prevEl: `.swiper-prev-${widget_id}`,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                
                });
            }
            var slider2 = $scope.find('.slider-grid-style2');
            if (slider2.length > 0) {
                let controls = slider2.data('controls');
                let slide_autoplay = Boolean(controls.show_autoplay?true:false);
                let slide_autoplay_delay = 5000;
                new Swiper(slider2, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    autoplay: slide_autoplay ? { delay: slide_autoplay_delay } : false,
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: 'true',
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                });
            }

            var slider3 = $scope.find('.slider-grid-style3');
            if (slider3.length > 0) {
                let controls = slider3.data('controls');
                let slide_autoplay = Boolean(controls.show_autoplay?true:false);
                let slide_autoplay_delay = 5000;
                new Swiper(slider3, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    autoplay: slide_autoplay ? { delay: slide_autoplay_delay } : false,
                    pagination: {
                        el: '.swiper-pagination',
                        clickable: 'true',
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                });
            }

            var slider4 = $scope.find('.slider-grid-style4');
            if (slider4.length > 0) {
            let controls = slider4.data('controls');
                let widget_id = controls.widget_id;
                let slide_autoplay = Boolean(controls.show_autoplay?true:false);
                let slide_autoplay_delay = 5000;
                new Swiper(slider4, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    slidesPerView: 1,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    autoplay: slide_autoplay ? { delay: slide_autoplay_delay } : false,
                    // Navigation arrows
                    navigation: {
                        nextEl: `.swiper-next-${widget_id}`,
                        prevEl: `.swiper-prev-${widget_id}`,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                
                });
            }

        },


        Vinkmag_Post_Block_Slider_Widget: function ($scope) {
            var slider1 = $scope.find('.vinazine-slider-block-style1');
            if (slider1.length > 0) {
                let controls = slider1.data('controls');
                let widget_id = controls.widget_id;
                new Swiper(slider1, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    slidesPerView: 1,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    //Navigation arrows
                    navigation: {
                        nextEl: `.swiper-next-${widget_id}`,
                        prevEl: `.swiper-prev-${widget_id}`,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                });
            }

            var slider2 = $scope.find('.vinazine-slider-block-style2');
            if (slider2.length > 0) {
                let controls = slider2.data('controls');
                let widget_id = controls.widget_id;
                new Swiper(slider2, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    slidesPerView: 1,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    autoplay: { 
                        delay: 3000,
                    },
                    //Navigation arrows
                    navigation: {
                        nextEl: `.swiper-next-${widget_id}`,
                        prevEl: `.swiper-prev-${widget_id}`,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                });
            }


        },


        Vinkmag_More_Post_Widget: function ($scope) {
            var carousel = $scope.find('.vinazine-more-post');
            if (carousel.length > 0) {
                var autoplay = (carousel.attr('data-autoplay') == 'yes') ? true : false;
                let slide_autoplay_delay = 5000;
                new Swiper(carousel, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    speed: 600,
                    mousewheelControl: 1,
                    allowTouchMove:true,
                    autoplay: autoplay ? { delay: slide_autoplay_delay } : false,
                    pagination: {
                        el: '.swiper-pagination-popular-post',
                        clickable: true,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 480 up
                        480: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 768 up
                        768: {
                            slidesPerView: 2,
                            spaceBetween: 30,
                            slidesPerGroup: 2,
                            mousewheel: {
                                invert: true,
                            },
                        },
                        // breakpoint from 768 up
                        1200: {
                            slidesPerView: 3,
                            spaceBetween: 30,
                            slidesPerGroup: 3,
                            mousewheel: {
                                invert: true,
                            },
                        }

                    }
                
                });
            }
        },

        

    

        Vinkmag_Hot_Post_Widget: function ($scope) {
            var carousel = $scope.find('.hot-topics-slider');
            if (carousel.length > 0) {
               var autoplay = (carousel.attr('data-autoplay') == 'yes') ? true : false;
                let slide_autoplay_delay = 5000;
                new Swiper(carousel, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    slidesPerView: 4,
                    speed: 600,
                    mousewheelControl: 1,
                    autoplay: autoplay ? { delay: slide_autoplay_delay } : false,
                    pagination: {
                        el: '.vertical-post-slider1',
                        clickable: true,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                            slidesPerGroup: 1,
                        },
                        // breakpoint from 480 up
                        480: {
                            slidesPerView: 2,
                            spaceBetween: 25,
                            slidesPerGroup: 2,
                        },
                        // breakpoint from 768 up
                        768: {
                            slidesPerView: 2,
                            spaceBetween: 25,
                            slidesPerGroup: 2,
                        },
                        // breakpoint from 768 up
                        1200: {
                            slidesPerView: 4,
                            spaceBetween: 30,
                            slidesPerGroup: 4,
                            allowTouchMove:true,
                            mousewheel: {
                                invert: true,
                            },
                        }

                    }
                
                });
            }
        },
        Vinkmag_Home_Featured_Slider_Widget: function ($scope) {
            var carousel = $scope.find('.hero-slider');
            if (carousel.length > 0) {
                let controls = carousel.data('controls');
                let widget_id = controls.widget_id;
                let slide_autoplay = Boolean(controls.show_autoplay?true:false);
                let slide_autoplay_delay = 5000;
                let hero_slider = new Swiper(carousel, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    slidesPerView: 1,
                    effect: 'slide',
                    speed: 600,
                    allowTouchMove: true,
                    mousewheelControl: 1,
                    autoplay: slide_autoplay ? { delay: slide_autoplay_delay } : false,

                    // Navigation arrows
                    navigation: {
                        nextEl: `.swiper-next-${widget_id}`,
                        prevEl: `.swiper-prev-${widget_id}`,
                    },
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        768: {
                            slidesPerView: 1,
                        },
                        1024: {
                            slidesPerView: 1,
                        }

                    }
                });
                document.getElementById("current-index").innerHTML = hero_slider.realIndex + 1;
                document.getElementById("total-slides").innerHTML = hero_slider.slides.length - 2;
                hero_slider.on('slideChange', function() {
                    document.getElementById("current-index").innerHTML = hero_slider.realIndex + 1;
                });
             }
        },


        Vinkmag_Popular_Post_Widget: function ($scope) {
            var popular_slider = $scope.find('.most-populers');
            if (popular_slider.length > 0) {
                var autoplay = (popular_slider.attr('data-autoplay') == 'yes') ? true : false;
                let slide_autoplay_delay = 5000;
                new Swiper(popular_slider, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    speed: 600,
                    mousewheelControl: 1,
                    allowTouchMove:true,
                    autoplay: autoplay ? { delay: slide_autoplay_delay } : false,
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 480 up
                        480: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 768 up
                        768: {
                            slidesPerView: 2,
                            spaceBetween: 30,
                            mousewheel: {
                                invert: true,
                            },
                        },
                        // breakpoint from 768 up
                        1200: {
                            slidesPerView: 4,
                            spaceBetween: 30,
                            mousewheel: {
                                invert: true,
                            },
                        }

                    }
                
                });
                
            }
        },
        Vertical_Grid_Post_Widget: function ($scope){
            var grid_slider = $scope.find('.grid-slider');
            if (grid_slider.length > 0) {
                var autoplay = (grid_slider.attr('data-autoplay') == 'yes') ? true : false;
                let slide_autoplay_delay = 5000;
                new Swiper(grid_slider, {
                    // Optional parameters
                    direction: 'horizontal',
                    loop: true,
                    effect: 'slide',
                    speed: 600,
                    mousewheelControl: 1,
                    allowTouchMove:true,
                    autoplay: autoplay ? { delay: slide_autoplay_delay } : false,
                    breakpoints: {
                        0: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 480 up
                        480: {
                            slidesPerView: 1,
                        },
                        // breakpoint from 768 up
                        768: {
                            slidesPerView: 2,
                            spaceBetween: 30,
                            mousewheel: {
                                invert: true,
                            },
                        },
                        // breakpoint from 768 up
                        1200: {
                            slidesPerView: 4,
                            spaceBetween: 30,
                            mousewheel: {
                                invert: true,
                            },
                        }

                    }
                
                });
             }
            
        },

        Vinkmag_Trending_Post_Widget: function ($scope) {
            var sync1 = $scope.find('.vinazine-trending-1');
            var sync2 = $scope.find('.vinazine-trending-2');
            if (sync1.length > 0 && sync2.length > 0) {
                let controls = sync1.data('controls');
                let widget_id = controls.widget_id;
                new Swiper(sync1, {
					loop: true,
					loopedSlides: 5, //looped slides should be the same
					navigation: {
                        nextEl: `.swiper-next-${widget_id}`,
                        prevEl: `.swiper-prev-${widget_id}`,
                    },
					thumbs: {
						swiper: new Swiper( sync2, {
							spaceBetween: 30,
							slidesPerView: 1,
							loop: true,
							freeMode: true,
							loopedSlides: 5, //looped slides should be the same
							watchSlidesVisibility: true,
							watchSlidesProgress: true,
							breakpoints: {
								0: {
									slidesPerView: 1,
								},
								767: {
									slidesPerView: 2,
								},
								1024: {
									slidesPerView: 2,
								},
							},
						} ),
					},
				} );
            }
        },
    };

    $(window).on('elementor/frontend/init', Vinkmag.init);

}(jQuery, window.elementorFrontend) );