/*
	Template Name: Vinkmag
	Author: Themewinter
	Author URI: https://themeforest.net/user/tripples
	Description: vinkmag
   Version: 1.0

   ================================
   table of content
   =================================
   1.   dropdown menu
   2.   breking news slider
   3.   featured post slider
   4.   Most populer slider
   5.   Gallery popup
   6.   video popup
   7.   video slider


*/

jQuery(document).ready(function ($) {
    "use strict";

    function DoPrevent(e) {
        e.preventDefault();
        e.stopPropagation();
    }

    

    /** Passive event listener */
    $.event.special.touchstart = {
        setup: function( _, ns, handle ) {
            this.addEventListener("touchstart", handle, { passive: !ns.includes("noPreventDefault") });
        }
    };
    $.event.special.touchmove = {
        setup: function( _, ns, handle ) {
            this.addEventListener("touchmove", handle, { passive: !ns.includes("noPreventDefault") });
        }
    };

    // background image lazy load
    const loadScripts_PreloadTimer = setTimeout(triggerScriptLoader_Preload, 8e3), userInteractionEvents_Preload = ["mouseover", "keydown", "touchstart", "touchmove", "wheel"]; function triggerScriptLoader_Preload() { document.querySelector("html").classList.add("is-active-page"), clearTimeout(loadScripts_PreloadTimer) } userInteractionEvents_Preload.forEach(function (e) { window.addEventListener(e, triggerScriptLoader_Preload, { passive: !0 }) });
    
    // Dynamic webfont loads
    if ( fontList ) {
		//eslint-disable-next-line
		const observeFontList = fontList.map( ( fontName ) => {
			//eslint-disable-next-line
			const observer = new FontFaceObserver( fontName );
			return observer.load();
		} );

		Promise.all( observeFontList ).then( function() {
			document.documentElement.className += 'fonts-loaded';
		} );
	} else {
		const arimoObserver = new FontFaceObserver('Arimo');
        const heeboObserver = new FontFaceObserver('Heebo');
		Promise.all( [
			arimoObserver.load(),
            heeboObserver.load()
		] ).then( function() {
			document.documentElement.className += ' fonts-loaded';
		} );
	}

   /**-------------------------------------------------
     *Fixed HEader
     *----------------------------------------------------**/
    $(window).on('scroll', function () {

            /**Fixed header**/
            if ($(window).scrollTop() > 250) {
            $('.navbar-fixed').addClass('sticky fade_down_effect');
            } else {
            $('.navbar-fixed').removeClass('sticky fade_down_effect');
            }
    });

    $('.preloader-cancel-btn').on('click', function (event) {
        event.preventDefault();
        if (!$('#preloader').hasClass('loaded')) {
            $('#preloader').addClass('loaded');
        }
    });



    /*==========================================================
                    39. scroll bar
        ======================================================================*/

    if ($(".video-tab-scrollbar").length > 0) {
        $(".video-tab-scrollbar").mCustomScrollbar({
            mouseWheel: true,
            scrollButtons: {
                enable: true
            }
        });
    }

    $(window).on('resize', function () {
        if ($(window).width() <= 991) {
            $('.menu-item-has-children > a').on('click', DoPrevent);
        } else {
            $('.menu-item-has-children > a').off('click', DoPrevent);
        }
    })

    

// backto top
    $(window).scroll(function () {
        if ($(this).scrollTop() > 50) {
             $('#back-to-top').fadeIn();
        } else {
             $('#back-to-top').fadeOut();
        }
    });

    // scroll body to 0px on click
    $('#back-to-top').on('click', function () {
         $('#back-to-top').tooltip('hide');
         $('body,html').animate({
              scrollTop: 0
         }, 800);
         return false;
    });
    
    $('#back-to-top').tooltip('hide');


    
     // Post Loading
     $('#post-loading-button').on('click',function(event){
        event.preventDefault();
      
        var $that = $(this);
        if($that.hasClass('disable')){
            return false;
        }
   
        var contentwrap = $('.main-content-inner'), // item contentwrap
            postperpage = $that.data('post_per_page'), // post per page number
            showallposts = $that.data('show_total_posts'); // total posts count
  
        var items = contentwrap.find('.card'),
            totalpostnumber = items.length,
            paged = ( totalpostnumber / postperpage ) + 1; // paged number
         
        $.ajax({
            url: vinkmag_ajax.ajax_url,
            type: 'POST',
            data: {action: 'vinkmag_post_ajax_loading',postperpage: postperpage,paged:paged},
            beforeSend: function(){
                $that.addClass('disable');
                $('<i class="xsicon xsicon-spinner xsicon-spin" style="margin-left:10px"></i>').appendTo( "#post-loading-button" ).fadeIn(100);
            },
            complete:function(){
                $('#post-loading-button .xsicon-spinner ').remove();
            }
        })
  
        .done(function(data) {
            var newLenght  = contentwrap.find('.card').length;
            if(showallposts <= newLenght){
              $('.post-content-loading').fadeOut(300,function(){
                $('.post-content-loading').remove();
              });
            }
            $that.removeClass('disable');
  
            var $pstitems = $(data);
            console.log($pstitems.html());
            $('.main-content-inner').append( $pstitems );
        })
  
        .fail(function() {
            alert('Loading Failed');
        });
  
    });
    
       
        /*===================================
                        scroll
        ===================================== */
        
        $.fn.isInViewport = function () {
            let elementTop = $(this).offset().top;
            let elementBottom = elementTop + $(this).outerHeight();
        
            let viewportTop = $(window).scrollTop();
            let viewportBottom = viewportTop + $(window).height();
        
            return elementBottom > viewportTop && elementTop < viewportBottom;
        };
    
    
        $(window).on('scroll', function () {
    
            $('.ajax-loader-current-url').each(function(){
                if ($(this).isInViewport()) {
                    var current_url = $(this).data('current-url');
                    if(window.location.href != current_url){
                        window.history.pushState('html', 'title', current_url);
                    }
                }
            });
    
            $('.blog-ajax-load-more-trigger').each(function(index){
                if ($(this).isInViewport()) {
                    var current_post = index + 1;
                    var _this = $(this);
                    var next_post_url = $(this).data('next-post-url');
                    var max_posts = $(this).data('max-posts');
                    var content_loaded = $(this).data('content-loaded');
    
                    if( current_post >= max_posts){
                        _this.fadeOut(2000);
                        return;
                    }
    
                    if(content_loaded == 'no'){
                        $.ajax({
                            type: "GET",
                            url: next_post_url,
                            success: function (content) {
                                var content = $(content).find('#blog-ajax-load-more-container').html();
                                _this.after(content);
                                popular_grid_slider($);
                            }
                        });
                    }
                    _this.fadeOut(2000);
                    _this.data('content-loaded', 'yes');
                } 
            });
        });
        /*--------------scroll end---------*/
    
        
        /*============================
            Dark-light mode
        =============================== */
        $(document).on('click', '.change-mode', function(){
    
            var defaultSkin = $('html').data('skin'),
            siteSkin    = 'light';

            if( $('html').hasClass( 'dark-themes' ) ){
                siteSkin = 'dark';
            }

            var switchTo = ( siteSkin == 'dark' ) ? 'light' : 'dark';
            if( 'undefined' != typeof localStorage ){
                localStorage.setItem( 'digi-skin', switchTo );
            }

            if( defaultSkin == switchTo ){
                $('html').removeClass('digi-skin-switch');
            }
            else{
                $('html').addClass('digi-skin-switch');
            }

            if( switchTo == 'dark' ){
                $('html').addClass( 'dark-themes' );			
            }
            else{
                $('html').removeClass( 'dark-themes' );
            }
        });
    

         /*==========================================================
                   reading progressbar
        ======================================================================*/  
       
        window.onscroll = function() { reading_progressbar() };

         function reading_progressbar() {
               var vinkmag_winScroll = document.body.scrollTop || document.documentElement.scrollTop;
               var vinkmag_height = document.documentElement.scrollHeight - document.documentElement.clientHeight;
               var vinkmag_scrolled = (vinkmag_winScroll / vinkmag_height) * 100;
               if (document.getElementById("readingProgressbar")) {
                document.getElementById("readingProgressbar").style.width = vinkmag_scrolled + "%";
            }
         }

         reading_progress_bar_post();
  
         function reading_progress_bar_post() {
           
            var progressWrap = $('.vinkmag_progress_container');
            
       
            if ( progressWrap.length > 0 ) {
                var didScroll = false,
                    windowWrap = $(window),

                    contentWrap = $('.entry-content'),
                    contentHeight = contentWrap.height(),
                    windowHeight = windowWrap.height() * .85;
      
                $(window).scroll(function() {
                    didScroll = true;
                });
      
                $(window).on('resize', function(){
                    windowHeight = windowWrap.height() * .85;
                    progressReading();
                });
      
                setInterval(function() {
                    if ( didScroll ) {
                        didScroll = false;
                        progressReading();
                    }
                }, 150);
      
                var progressReading = function() {
      
                    var windowScroll = windowWrap.scrollTop(),
                        contentOffset = contentWrap.offset().top,
                        contentScroll = ( windowHeight - contentOffset ) + windowScroll,
                        progress = 0;
      
                    if ( windowHeight > contentHeight + contentOffset ) {
                        progressWrap.find('.progress-bar').width(0);
                    } else {
                        if ( contentScroll > contentHeight ) {
                            progress = 100;
                        } else if ( contentScroll > 0 ) {
                            progress = ( contentScroll / contentHeight ) * 100 ;
                           
                        }
      
                        progressWrap.find('.progress-bar').width(progress + '%');
                    }
                }
            }
        }

});

$(window).on('load',function(){
    // Popular grid slider
    function popular_grid_slider($){
        if ($('.popular-grid-slider').length > 0) {
            new Swiper('.popular-grid-slider', {
                // Optional parameters
                direction: 'horizontal',
                loop: true,
                effect: 'slide',
                slidesPerView: 1,
                speed: 600,
                mousewheelControl: 1,
                navigation: {
                    nextEl: '.swiper-next-popular-slider',
                    prevEl: '.swiper-prev-popular-slider',
                },
                breakpoints: {
                    0: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 480 up
                    480: {
                        slidesPerView: 2,
                    },
                    // breakpoint from 768 up
                    768: {
                        slidesPerView: 2,
                    },
                    // breakpoint from 768 up
                    1200: {
                        slidesPerView: 3,
                        spaceBetween: 30,
                        allowTouchMove:true,
                        mousewheel: {
                            invert: true,
                        },
                    }
    
                }
            
            });
        }
        
    }
    popular_grid_slider($);

    // Featured slider
    if ($('.vinkmag-featured-slider').length > 0) {
        new Swiper('.vinkmag-featured-slider', {
            // Optional parameters
            direction: 'horizontal',
            loop: true,
            effect: 'slide',
            slidesPerView: 1,
            speed: 600,
            mousewheelControl: 1,
            navigation: {
                nextEl: 'swiper-next-featured-slider',
                prevEl: '.swiper-prev-featured-slider',
            },
            breakpoints: {
                0: {
                    slidesPerView: 1,
                },
                // breakpoint from 480 up
                480: {
                    slidesPerView: 1,
                },
                // breakpoint from 768 up
                768: {
                    slidesPerView: 1,
                },
                // breakpoint from 768 up
                1200: {
                    slidesPerView: 1,
                    allowTouchMove:true,
                    mousewheel: {
                        invert: true,
                    },
                }

            }
        
        });
    }

    /*==========================================================
                    4. Preloader
        =======================================================================*/
        setTimeout(() => {
            $('#preloader').addClass('loaded');
        }, 1000);

        /* ----------------------------------------------------------- */
        /*  breking news slider
        /* ----------------------------------------------------------- */
        if ($('#breaking_slider1').length > 0) {
            // $('#breaking_slider1').slick({
            //     dots: false,
            //     infinite: true,
            //     speed: 500,
            //     fade: true,
            //     cssEase: 'linear',
            //     arrows: false,
            //     autoplay: true,
            //     autoplaySpeed: 3000,
            //     buttons: false
            // });
        }
        /* ----------------------------------------------------------- */
        /*  breking news slider
        /* ----------------------------------------------------------- */
        if ($('#breaking_slider').length > 0) {
            new Swiper($('#breaking_slider'), {
                // Optional parameters
                direction: 'horizontal',
                loop: true,
                effect: 'slide',
                slidesPerView: 1,
                speed: 600,
                mousewheelControl: 1,
                navigation: {
                    nextEl: '.swiper-button-next',
                    prevEl: '.swiper-button-prev',
                },
                breakpoints: {
                    0: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 480 up
                    480: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 768 up
                    768: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 768 up
                    1200: {
                        slidesPerView: 1,
                        allowTouchMove:true,
                        mousewheel: {
                            invert: true,
                        },
                    }

                }
            
            });
        }

        if ($('.vinkmag-breaking-slider').length > 0) {
            let controls = $('.vinkmag-breaking-slider').data('controls');
            let widget_id = controls.widget_id;
            new Swiper($('.vinkmag-breaking-slider'), {
                // Optional parameters
                direction: 'horizontal',
                loop: true,
                effect: 'slide',
                slidesPerView: 1,
                speed: 600,
                mousewheelControl: 1,
                navigation: {
                    nextEl: `.swiper-next-${widget_id}`,
                    prevEl: `.swiper-prev-${widget_id}`,
                },
                breakpoints: {
                    0: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 480 up
                    480: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 768 up
                    768: {
                        slidesPerView: 1,
                    },
                    // breakpoint from 768 up
                    1200: {
                        slidesPerView: 1,
                        allowTouchMove:true,
                        mousewheel: {
                            invert: true,
                        },
                    }

                }
            
            });
        }
        /* ---------------------------------------------
                         Menu Toggle 
       ------------------------------------------------ */

       $('.dropdown > a').on('click', function (e) {
        var dropdown = $(this).parent('.dropdown');
        dropdown.find('>.dropdown-menu').slideToggle('show');
        $(this).toggleClass('opened');
        return false;
    });


    /* ----------------------------------------------------------- */
    /*  index search
    /* ----------------------------------------------------------- */
    $(".header-search-btn-toggle").on("click", function (e) {
        e.preventDefault();
        if ($('.navbar-container .vinkmag-serach').length > 0) {
            $('.navbar-container .vinkmag-serach').stop().fadeToggle(500);
            $('.navbar-container .vinkmag-serach').find('input').focus();
        }
    });

    function fix_menu() {
        var h = $('#right-menu-element').width();
        $('#navbar-main-container .navbar').css({
            'padding-right': h + 'px'
        });
    }
    fix_menu();

    /* ----------------------------------------------------------- */
    /*  popular slider on single post
    /* ----------------------------------------------------------- */
    
    

    

    /* ----------------------------------------------------------- */
    /*  marquee slider for crypto
    /* ----------------------------------------------------------- */
    // if ($('.slick.marquee').length > 0) {
    //     $('.slick.marquee').slick({
    //         dots: false,
    //         infinite: true,
    //         speed: 500,
    //         fade: true,
    //         cssEase: 'linear',
    //         arrows: false,
    //         autoplay: true,
    //         autoplaySpeed: 3000,
    //         buttons: false
    //     });
    // }



    /* ----------------------------------------------------------- */
    /*  Popup
    /* ----------------------------------------------------------- */

    if ($('.gallery-popup').length > 0) {
        $('.gallery-popup').magnificPopup({
            type: 'image',
            mainClass: 'mfp-with-zoom',
            zoom: {
                enabled: true, // By default it's false, so don't forget to enable it

                duration: 300, // duration of the effect, in milliseconds
                easing: 'ease-in-out', // CSS transition easing function

                opener: function (openerElement) {
                    return openerElement.is('img') ? openerElement : openerElement.find('img');
                }
            }
        });
    }

    /* ----------------------------------------------------------- */
    /*  single post video
    /* ----------------------------------------------------------- */
    if ($('.ts-play-btn').length > 0) {
        $('.ts-play-btn').magnificPopup({
            type: 'iframe',
            mainClass: 'mfp-with-zoom',
            zoom: {
                enabled: true, // By default it's false, so don't forget to enable it

                duration: 300, // duration of the effect, in milliseconds
                easing: 'ease-in-out', // CSS transition easing function

                opener: function (openerElement) {
                    return openerElement.is('img') ? openerElement : openerElement.find('img');
                }
            }
        });
    }

    if ($('.ts-video-btn').length > 0) {
        $('.ts-video-btn').magnificPopup({
            type: 'iframe',
            mainClass: 'mfp-with-zoom',
            zoom: {
                enabled: true, // By default it's false, so don't forget to enable it

                duration: 300, // duration of the effect, in milliseconds
                easing: 'ease-in-out', // CSS transition easing function

                opener: function (openerElement) {
                    return openerElement.is('img') ? openerElement : openerElement.find('img');
                }
            }
        });

    }


    if ($('.ts-video-icon').length > 0) {
        $('.ts-video-icon').magnificPopup({
            type: 'iframe',
            mainClass: 'mfp-with-zoom',
            zoom: {
                enabled: true, // By default it's false, so don't forget to enable it

                duration: 300, // duration of the effect, in milliseconds
                easing: 'ease-in-out', // CSS transition easing function

                opener: function (openerElement) {
                    return openerElement.is('img') ? openerElement : openerElement.find('img');
                }
            }
        });

    }



    /*==========================================================
                    39. magnific modal popup
        ======================================================================*/
    if ($('.xs-modal-popup').length > 0) {
        $('.xs-modal-popup').magnificPopup({
            type: 'inline',
            fixedContentPos: false,
            fixedBgPos: true,
            overflowY: 'auto',
            closeBtnInside: false,
            callbacks: {
                beforeOpen: function beforeOpen() {
                    this.st.mainClass = "my-mfp-slide-bottom xs-promo-popup";
                }
            }
        });
    }

    $('.ekit-menu-nav-link.has-submenu').each(function () {
        $(this).find('.sub-arrow').on('click', function (e) {
            e.preventDefault();
            $(this).parent().siblings().slideToggle()
        })
    });

    if ($('.ekit-menu-init').find('.menu-item-has-children').length > 0) {
        $('.ekit-menu-init').find('.menu-item-has-children').each(function () {
            if ($(this).find('.sub-arrow').length > 1) {
                $(this).find('.sub-arrow').not($(this).find('.sub-arrow').eq(1)).remove();
            }
        })
    }

    // instragra feed
    
    var access_token = $("#ins_access_token").data('token');
    var ins_userId = $("#ins_userId").data('user');
    var ins_limit = $("#ins_limit").data('limit');

    let accessToken = access_token,
        get = "user",
        userId = ins_userId,
        resolution = "standard_resolution",
        useHttp = "true",
        limit = ins_limit;

    if ($('#instafeed-gallery-feed').length > 0) {
        let galleryFeed = new Instafeed({
            get: get,
            userId: userId,
            accessToken: accessToken,
            resolution: resolution,
            useHttp: useHttp,
            limit: limit,
            target: "instafeed-gallery-feed",
        });
        galleryFeed.run();
    }
});





