<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit;


class Vinkmag_Darklight_Switcher_Widget extends Widget_Base {


  public $base;

    public function get_name() {
        return 'vinazine-darklight';
    }

    public function get_title() {

        return esc_html__( 'Dark Light Switcher', 'vinkmag' );

    }

    public function get_icon() { 
        return 'fas fa-toggle-on';
    }

    public function get_categories() {
        return [ 'vinkmag-elements' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_tab',
            [
                'label' => esc_html__('Title settings', 'vinkmag'),
            ]
        );
		
        $this->add_control(
            'switcher_bg_color',
            [
                'label' => esc_html__('Switcher Color', 'vinkmag'),
                'type' => Controls_Manager::COLOR,
                'default' => '',
                'selectors' => [
                    '{{WRAPPER}} .vinkmag-darklight-widget .color_swicher .switch_container' => 'background: {{VALUE}};',
                ],
            ]
        );
        $this->end_controls_section();
    }

    protected function render( ) { 
        $settings = $this->get_settings();
    ?>
    <div class="vinkmag-darklight-widget">
        <div class="color_swicher change-mode">
            <div class="switch_container">
                <i class="xsicon xsicon-sun"></i>
                <i class="xsicon xsicon-moon"></i>
            </div>
        </div>
    </div>

    <?php  
    }
    protected function content_template() { }
}