<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit;

class  Vinkmag_V_Slider_Five_Widget extends Widget_Base {

  public $base;

    public function get_name() {
        return 'vinazine-more-post2';
    }

    public function get_title() {
        return esc_html__( 'Vertical Post Slider 4', 'vinkmag' );
    }

    public function get_icon() { 
        return 'eicon-slider-3d';
    }

    public function get_categories() {
        return [ 'vinkmag-elements' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_tab',
            [
                'label' => esc_html__('Post', 'vinkmag'),
            ]
        );

        $this->add_control(
            'grid_style', [
                'label' => esc_html__('Choose Style', 'vinkmag'),
                'type' => Vinkmag_Custom_Controls_Manager::IMAGECHOOSE,
                'default' => 'style1',
                'options' => [
                     'style1' => [
						'title' => esc_html__( 'Style 1', 'vinkmag' ),
                        'imagelarge' => VINKMAG_IMG . '/admin/elementor/post-grid/style12.png',
                        'imagesmall' => VINKMAG_IMG . '/admin/elementor/post-grid/style12-min.png',
                        'width' => '50%',
					],
              	],
            ]
        ); 


        $this->add_control(
            'post_bg_color',
            [
                'label' => esc_html__('Grid Overlay BG color', 'vinkmag'),
                'type' => Controls_Manager::COLOR,
                'default' => '',
                'selectors' => [
                    '{{WRAPPER}} .classic-overlay-style .item:after' => 'background: {{VALUE}};',
                ],
            ]
        );
    
        $this->add_control(
          'post_count',
          [
            'label'         => esc_html__( 'Post count', 'vinkmag' ),
            'type'          => Controls_Manager::NUMBER,
            'default'       => '8',
          ]
        );
        $this->add_control(
          'post_title_crop',
          [
            'label'         => esc_html__( 'Post title crop', 'vinkmag' ),
            'type'          => Controls_Manager::NUMBER,
            'default'       => '100',
          ]
        );
        $this->add_group_control(
            Group_Control_Typography::get_type(),
            [
                'name' => 'post_title_typography',
                'label' => esc_html__( 'Post title Typography', 'vinkmag' ),
                'selector' =>   '{{WRAPPER}} .classic-grid-slider  .ts-overlay-style .overlay-post-content .post-title' ,
            ]
        );
        
		$this->add_group_control(
			Group_Control_Text_Shadow::get_type(),
			[
				'name' => 'post_title_text_shadow',
				'label' => __( 'Text Shadow', 'vinkmag' ),
				'selector' => '{{WRAPPER}} .classic-grid-slider  .ts-overlay-style .overlay-post-content .post-title a',
			]
		);

        $this->add_control(
            'post_cats',
            [
                'label' =>esc_html__('Select Categories', 'vinkmag'),
                'type'      => Vinkmag_Custom_Controls_Manager::AJAXSELECT2,
                'options'   =>'category',
                'label_block' => true,
                'multiple'  => true,
            ]
        );
        $this->add_control(
            'show_date',
            [
                'label' => esc_html__('Show Date', 'vinkmag'),
                'type' => Controls_Manager::SWITCHER,
                'label_on' => esc_html__('Yes', 'vinkmag'),
                'label_off' => esc_html__('No', 'vinkmag'),
                'default' => 'yes',
            ]
        );

        $this->add_control(
            'show_cat',
            [
                'label' => esc_html__('Show Category', 'vinkmag'),
                'type' => Controls_Manager::SWITCHER,
                'label_on' => esc_html__('Yes', 'vinkmag'),
                'label_off' => esc_html__('No', 'vinkmag'),
                'default' => 'yes',
            ]
        );
        $this->add_control(
            'cat_border_radius',
            [
                'label' => esc_html__( 'Category Border Radius', 'vinkmag' ),
                'type' => Controls_Manager::DIMENSIONS,
                'size_units' => [ 'px','%'],
                'selectors' => [
                    '{{WRAPPER}} .classic-grid-slider  .ts-overlay-style .post-content .post-cat' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );
        
        $this->add_control(
            'show_view_count',
            [
                'label' => esc_html__('Show view Count', 'vinkmag'),
                'type' => Controls_Manager::SWITCHER,
                'label_on' => esc_html__('Yes', 'vinkmag'),
                'label_off' => esc_html__('No', 'vinkmag'),
                'default' => 'yes',
            ]
          );
   
        $this->add_control(
           'view_count_active_color',
           [
            'label' => esc_html__('View Count Text color', 'vinkmag'),
                'type' => Controls_Manager::COLOR,
                'default' => '',
                'selectors' => [
                    '{{WRAPPER}} .classic-grid-slider  .ts-overlay-style .overlay-post-content  .post-meta-info li.active' => 'color: {{VALUE}};',
                ],
            ]
        );   

        $this->add_control(
			'meta_margin',
			[
				'label' =>esc_html__( 'Post Meta margin', 'vinkmag' ),
				'type' => \Elementor\Controls_Manager::DIMENSIONS,
                'size_units' => [ 'px', 'em', '%' ],
				'selectors' => [
					'{{WRAPPER}} .classic-grid-slider  .ts-overlay-style .post-meta-info ' => 'margin: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
				],
			]
        );

        $this->add_control(
            'show_autoplay',
            [
               'label' => esc_html__('AutoPlay', 'vinkmag'),
               'type' => Controls_Manager::SWITCHER,
               'label_on' => esc_html__('Yes', 'vinkmag'),
               'label_off' => esc_html__('No', 'vinkmag'),
               'default' => 'no',
            ]
      );
        $this->add_control(
            'post_sortby',
            [
                'label'     =>esc_html__( 'Post sort by', 'vinkmag' ),
                'type'      => Controls_Manager::SELECT,
                'default'   => 'latestpost',
                'options'   => [
                        'latestpost'      =>esc_html__( 'Latest posts', 'vinkmag' ),
                        'popularposts'    =>esc_html__( 'Popular posts', 'vinkmag' ),
                        'mostdiscussed'    =>esc_html__( 'Most discussed', 'vinkmag' ),
                    ],
            ]
        );
        $this->add_control(
            'post_order',
            [
                'label'     =>esc_html__( 'Post order', 'vinkmag' ),
                'type'      => Controls_Manager::SELECT,
                'default'   => 'DESC',
                'options'   => [
                        'DESC'      =>esc_html__( 'Descending', 'vinkmag' ),
                        'ASC'       =>esc_html__( 'Ascending', 'vinkmag' ),
                    ],
            ]
        );

        
      $this->add_control(
         'xs_offset_enable',
            [
               'label' => esc_html__('Post skip', 'vinkmag'),
               'type' => Controls_Manager::SWITCHER,
               'label_on' => esc_html__('Yes', 'vinkmag'),
               'label_off' => esc_html__('No', 'vinkmag'),
               'default' => 'no',
               
            ]
      );
   
      $this->add_control(
         'xs_offset_item_num',
         [
         'label'         => esc_html__( 'Skip post count', 'vinkmag' ),
         'type'          => Controls_Manager::NUMBER,
         'default'       => '1',
         'condition' => [ 'xs_offset_enable' => 'yes' ]

         ]
      );

      $this->add_responsive_control(
        'thumbnail_height',
        [
            'label' =>esc_html__( 'Thumbnail Height', 'vinkmag' ),
            'type' => \Elementor\Controls_Manager::SLIDER,
            'range' => [
                'px' => [
                    'min' => 0,
                    'max' => 1000,
                ],
            ],
            'devices' => [ 'desktop', 'tablet', 'mobile' ],
            'desktop_default' => [
                'size' => 300,
                'unit' => 'px',
            ],
            'tablet_default' => [
                'size' => 250,
                'unit' => 'px',
            ],
            'mobile_default' => [
                'size' => 250,
                'unit' => 'px',
            ],
            'selectors' => [
                '{{WRAPPER}} .classic-grid-slider  .featured-post .item' => 'min-height: {{SIZE}}{{UNIT}};',
            ],
        ]
        );

        $this->add_control(
            'thumb_border_radius',
            [
                'label' => esc_html__( 'Thumbnail Border Radius', 'vinkmag' ),
                'type' => Controls_Manager::DIMENSIONS,
                'size_units' => [ 'px','%'],
                'selectors' => [
                    '{{WRAPPER}} .classic-grid-slider .featured-post .item' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                    '{{WRAPPER}} .classic-grid-slider .ts-overlay-style .item:before' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                    '{{WRAPPER}} .classic-overlay-style .item:after' => 'border-radius: {{TOP}}{{UNIT}} {{RIGHT}}{{UNIT}} {{BOTTOM}}{{UNIT}} {{LEFT}}{{UNIT}};',
                ],
            ]
        );

        $this->end_controls_section();
    }

    protected function render( ) { 
        $settings = $this->get_settings();
        $arg = [
            'post_type'   =>  'post',
            'post_status' => 'publish',
            'order' => $settings['post_order'],
            'posts_per_page' => $settings['post_count'],
            'category__in' => $settings['post_cats'],
        ];

        if( $settings['xs_offset_enable']=='yes' ) {

         $arg['offset'] = $settings['xs_offset_item_num'];
         
        }

        switch($settings['post_sortby']){
         case 'popularposts':
             $arg['meta_key'] = 'vinkmag_post_views_count';
             $arg['orderby'] = 'meta_value_num';
         break;
         case 'mostrating':
            if(function_exists('review_kit_rating')){
               $arg['meta_key'] = 'xs_review_ratting_avg';
               $arg['orderby'] = 'meta_value_num';
            } 
           
        break;
         case 'mostdiscussed':
             $arg['orderby'] = 'comment_count';
         break;
         default:
             $arg['orderby'] = 'date';
         break;
     }

        $settings['show_author'] = 'no';
        $query = new \WP_Query( $arg ); ?>
        
        <?php if ( $query->have_posts() ) : ?>
            <div class="ts-slider-grid-box">
                <div data-autoplay="<?php echo esc_attr($settings['show_autoplay']); ?>" class="swiper vinazine-more-post2 classic-grid-slider ">
                    <div class="swiper-wrapper">
                        <?php while ($query->have_posts()) : $query->the_post(); ?>
                            <div class="swiper-slide item grid-sm">
                                <?php require VINKMAG_THEME_DIR . '/template-parts/blogs/contents/content-style3-f.php'; ?>
                            </div>
                        <?php endwhile; ?>
                    </div>
                </div>
            </div>
        <?php endif; ?>
      <?php  
    }
    protected function content_template() { }
}