<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit;


class Vinkmag_Tag_List_Widget extends Widget_Base {


  public $base;

    public function get_name() {
        return 'vinazine-taglist';
    }

    public function get_title() {

        return esc_html__( 'Tag List', 'vinkmag' );

    }

    public function get_icon() { 
        return 'eicon-tag';
    }

    public function get_categories() {
        return [ 'vinkmag-elements' ];
    }

    protected function _register_controls() {
      $this->start_controls_section(
			'content_section',
			[
				'label' => __( 'Content', 'vinkmag' ),
				'tab' => \Elementor\Controls_Manager::TAB_CONTENT,
			]
		);

		$this->add_control(
			'number_count',
			[
				'label' => __( 'Number ', 'vinkmag' ),
				'type' => \Elementor\Controls_Manager::NUMBER,
				'default' => 10,
			]
      );
      
      $this->add_control(
         'show_count_number',
         [
             'label' => esc_html__('Show tag count', 'vinkmag'),
             'type' => Controls_Manager::SWITCHER,
             'label_on' => esc_html__('Yes', 'vinkmag'),
             'label_off' => esc_html__('No', 'vinkmag'),
             'default' => 'yes',
         ]
     );
     $this->add_control(
         'orderby',
         [
            'label' => __( 'Orderby', 'vinkmag' ),
            'type' => \Elementor\Controls_Manager::SELECT,
            'default' => 'DESC',
            'options' => [
               'ASC'  => __( 'ASC', 'vinkmag' ),
               'DESC' => __( 'DESC', 'vinkmag' ),
           
            ],
         ]
      );


		$this->end_controls_section();
      
    }

    protected function render( ) { 
        $settings = $this->get_settings();
        $number_count = $settings['number_count'];
        $show_count_number = $settings['show_count_number'];
        $orderby = $settings['orderby'];
        $tags = get_tags();
         $args = array(
            'smallest'                  => 10, 
            'largest'                   => 22,
            'unit'                      => 'px', 
            'number'                    => $number_count,  
            'format'                    => 'flat',
            'separator'                 => " ",
            'orderby'                   => 'count', 
            'order'                     => $orderby,
            'show_count'                => $show_count_number,
         ); 
         
         $tag_string = wp_generate_tag_cloud( $tags, $args );


    ?>
      <div class="tagcloud custom-tagcloud">
            <?php echo  $tag_string; ?>
      </div>
    <?php  
    }
    protected function content_template() { }
}