<?php

namespace Elementor;

if ( ! defined( 'ABSPATH' ) ) exit;


class Vinkmag_Breaking_Slider_post_Widget extends Widget_Base {


  public $base;

    public function get_name() {
        return 'vinazine-breaking-slider-post';
    }

    public function get_title() {

        return esc_html__( 'Breaking Slider', 'vinkmag' );

    }

    public function get_icon() { 
        return 'eicon-youtube';
    }

    public function get_categories() {
        return [ 'vinkmag-elements' ];
    }

    protected function _register_controls() {

        $this->start_controls_section(
            'section_tab',
            [
                'label' => esc_html__('Title settings', 'vinkmag'),
            ]
        );

        $this->add_control(
            'trending_color',
            [
                'label' => esc_html__('Primary Color', 'vinkmag'),
                'type' => Controls_Manager::COLOR,
                'default' => '',
                'selectors' => [
                    '{{WRAPPER}} .breaking-title' => 'color: {{VALUE}};',
                    '{{WRAPPER}} .vinkmag-breaking-slider .owl-nav .owl-prev, {{WRAPPER}} .vinkmag-breaking-slider .owl-nav .owl-next' => 'background: {{VALUE}};',
                ],
            ]
        );
        
        $this->add_control(
            'trending_post_color',
            [
                'label' => esc_html__('Secondary Color', 'vinkmag'),
                'type' => Controls_Manager::COLOR,
                'default' => '',
                'selectors' => [
                    '{{WRAPPER}} .ts-breaking-news p a' => 'color: {{VALUE}};',
                ],
            ]
        );

        
        $this->end_controls_section();
    }

    protected function render( ) { 
        $settings = $this->get_settings();
        $widgets_controls    = [
            'widget_id' => $this->get_id(),
        ];
        $widgets_controls = \json_encode($widgets_controls);

    ?>
      			<div class="ts-breaking-news media breaking-sliders-item">
					<h2 class="breaking-title">
						<i class="xsicon xsicon-bolt"></i> <?php esc_html_e('Breaking News :', 'vinkmag'); ?></h2>
					<div data-controls="<?php echo esc_attr($widgets_controls); ?>" class="breaking-news-content swiper media-body vinkmag-breaking-slider">
						<div class="swiper-wrapper">
                            <?php 
                            $the_query = vinkmag_breaking_news_query();

                            if ( $the_query->have_posts() ) :
                                while ($the_query->have_posts()):
                                    $the_query->the_post();
                            ?>
                                    <div class="breaking-post-content swiper-slide">
                                        <p>
                                            <a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
                                        </p>
                                    </div>
                            <?php
                                endwhile;
                                wp_reset_postdata();
                            else:
                                esc_html_e('nothing found', 'vinkmag');
                            endif;
                            ?>
                        </div>
                        <!-- If we need navigation buttons -->
                        <div class="slider-navigation">
                            <div class="swiper-button-prev swiper-prev-<?php echo esc_attr($this->get_id()); ?>">
                                <i class="xsicon xsicon-angle-left"></i>
                            </div>
                            <div class="swiper-button-next swiper-next-<?php echo esc_attr($this->get_id()); ?>">
                                <i class="xsicon xsicon-angle-right"></i>
                            </div> 
                        </div>
					</div>
				</div>

    <?php  
    }
    protected function content_template() { }
}