<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * customizer option: blog
 */
$options =[
    'blog_settings' => [
            'title'		 => esc_html__( 'Blog settings', 'vinkmag' ),
            'options'	 => [
                'blog_title' => [
                    'label'	 => esc_html__( 'Global blog title', 'vinkmag' ),
                    'type'	 => 'text',
                ],
                'blog_header_image' => [
                    'label'	 => esc_html__( 'Global header background image', 'vinkmag' ),
                    'type'	 => 'upload',
                 ],
                 'post_header_layout' => [
                    'label'	        => esc_html__( 'Post header layout', 'vinkmag' ),
                    'desc'	        => esc_html__( 'Single post\'s header style.', 'vinkmag' ),
                    'type'	        => 'image-picker',
                    'choices'       => [
                        'style1'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style1.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style1.png',
                        ],
                        'style2'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style2.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style2.png',
                        ],
                        'style3'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style3.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style3.png',
                        ],
                        'style4'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style4.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style4.png',
                        ],
                        'style5'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style5.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style5.png',
                        ],
                        'style6'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style6.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style6.png',
                        ],
                        'style7'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style6.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style6.png',
                        ],
                        'style8'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style11.png',
                            'large'     => VINKMAG_IMG . '/admin/post-header-layout/style11.png',
                        ],
                    ],
                    'value'         => 'style1',
                 ],
                'post_sidebar_layout' => [
                    'label'	        => esc_html__( 'Post sidebar layout', 'vinkmag' ),
                    'desc'	        => esc_html__( 'The sidebar position of a blog post.', 'vinkmag' ),
                    'type'	        => 'image-picker',
                    'choices'       => [
                        'sidebar-right'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-right.png',
                            'large'     => VINKMAG_IMG . '/admin/post-sidebar-layout/sidebar-right.png',
                        ],
                        'sidebar-none'    => [
                            'small'     => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-none.png',
                            'large'     => VINKMAG_IMG . '/admin/post-sidebar-layout/sidebar-none.png',
                        ]
                    ],
                    'value'         => 'sidebar-right',
                 ],
                 'blog_sticky_sidebar' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Sidebar Sticky', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to make sidebar sticky?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_view_count_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Post view counter', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show the view counter in posts?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_author_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Blog author name', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show blog author?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_author_details_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Blog author details', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show author details at the end of a post?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_author_image_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Blog author image', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show the avatar of the author in blog post?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_social_share_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Social share', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show social share buttons?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_read_time_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Read Time', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show read time buttons?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_date_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Post date', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show post date?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_cat_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Post category', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show post category in colored-batch?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
                'blog_popular_post_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Popular posts slider', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show popular post slider in each post\'s footer section?', 'vinkmag' ),
                    'value'          => 'no',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
               'blog_single_infinite_scroll' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Infinite Scroll', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to turn on infinite scroll in Single post?', 'vinkmag' ),
                    'value'          => 'no',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
                ],

                'blog_single_infinite_scroll_option' => [
                    'type' => 'multi-picker',
                    'picker' => 'blog_single_infinite_scroll',
                    'choices' => array(
                        'yes' => array(
                            'blog_single_infinite_scroll_items' => [
                                'label'	 => esc_html__( 'Number of Posts to show', 'vinkmag' ),
                                'type'	 => 'text',
                                'value'	 => 3,
                            ],
                        )
                    )
                ],

                'blog_pagination_style' => [
                    'label'	        => esc_html__( 'Blog pagination', 'vinkmag' ),
                    'type'	        => 'image-picker',
                    'choices'       => [
                        'loadmore'    => [
                            'small'     => VINKMAG_IMG . '/admin/pagination/loadmore.png',
                            'large'     => VINKMAG_IMG . '/admin/pagination/loadmore.png',
                        ],
                        'number'    => [
                            'small'     => VINKMAG_IMG . '/admin/pagination/number.png',
                            'large'     => VINKMAG_IMG . '/admin/pagination/number.png',
                        ]
                    ],
                    'value'         => 'number',
                ],
              
            ],
        ]
    ];