<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * customizer option: general
 */
$options =[
    'general_settings' => [
            'title'		 => esc_html__( 'General settings', 'vinkmag' ),
            'options'	 => [
                'general_text_logo' => [
                    'type'			   => 'switch',
                    'label'			   => esc_html__( 'Logo text', 'vinkmag' ),
                    'desc'			   => esc_html__('You can use text as logo','vinkmag') ,
                    'value'           => 'no',
                    'left-choice'	 => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__('Yes', 'vinkmag'),
                    ],
                    'right-choice'	 => [
                       'value'	 => 'no',
                       'label'	 => esc_html__('No', 'vinkmag'),
                    ],
                ],
                'general_text_logo_settings' => array(
                    'type' => 'multi-picker',
                    'picker' => 'general_text_logo',
            
                    'choices' => array(
                        'yes' => array(
                            
                            'general_text_logo_title' => array(
                            'type'  => 'text',
                            'value' => 'blog',
                            'label' => __('Title', 'vinkmag'),
                            
                            ),

                            'general_text_logo_title_color' => array(
                            'type'  => 'color-picker',
                            'value' => '',
                            'label' => __('Color', 'vinkmag'),
                            
                            ),
                        ),
                ),      
                ),
                'general_main_logo' => [
                    'label'	        => esc_html__( 'Dark logo', 'vinkmag' ),
                    'desc'	        => esc_html__( 'It\'s the main logo, mostly it will be shown on "light background" type area.', 'vinkmag' ),
                    'type'	        => 'upload',
                    'image_only'    => true,
                 ],
                'general_light_logo' => [
                    'label'	        => esc_html__( 'Light logo', 'vinkmag' ),
                    'desc'	        => esc_html__( 'It will be shown on any "dark or coloreful" type area.', 'vinkmag' ),
                    'type'	        => 'upload',
                    'image_only'    => true,
                 ],
                 'general_sticky_sidebar' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Sticky sidebar', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Use sticky sidebar?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice' => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice' => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
               ],
               'blog_breadcrumb_show' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Breadcrumb', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to show breadcrumb?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice'	 => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__('Yes', 'vinkmag'),
                    ],
                    'right-choice'	 => [
                        'value'	 => 'no',
                        'label'	 => esc_html__('No', 'vinkmag'),
                    ],
                ],
                'blog_breadcrumb_length' => [
                    'type'			 => 'text',
                    'label'			 => esc_html__( 'Breadcrumb word length', 'vinkmag' ),
                    'desc'			 => esc_html__( 'The length of the breadcumb text.', 'vinkmag' ),
                    'value'          => '3',
                ],
                'general_social_links' => [
                    'type'  => 'addable-popup',
                    'template' => '{{- title }}',
                    'popup-title' => null,
                    'label' => esc_html__( 'Social links', 'vinkmag' ),
                    'desc'  => esc_html__( 'Add social links and it\'s icon class bellow. These are all fontaweseome-4.7 icons.', 'vinkmag' ),
                    'add-button-text' => esc_html__( 'Add new', 'vinkmag' ),
                    'popup-options' => [
                        'title' => [ 
                            'type' => 'text',
                            'label'=> esc_html__( 'Title', 'vinkmag' ),
                        ],
                        'icon_class' => [ 
                            'type' => 'icon',
                            'label'=> esc_html__( 'Social icon', 'vinkmag' ),
                        ],
                        'url' => [ 
                            'type' => 'text',
                            'label'=> esc_html__( 'Social link', 'vinkmag' ),
                        ],
                    ],

                ],

                'blog_reading_pregressbar' => [
                    'type'			    => 'switch',
                    'label'			 => esc_html__( 'Reading progressbar', 'vinkmag' ),
                    'desc'			    => esc_html__( 'Do you want to enable reading progressbar?', 'vinkmag' ),
                    'value'          => 'no',
                    'left-choice'	 => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__('Yes', 'vinkmag'),
                    ],
                    'right-choice'	 => [
                        'value'	 => 'no',
                        'label'	 => esc_html__('No', 'vinkmag'),
                    ],
                ],
  
              
  
                 'blog_reading_pregressbar_settings' => [
                    'type' => 'multi-picker',
                    'picker' => 'blog_reading_pregressbar',
           
                    'choices' => [
                          'yes' => [
                             'blog_reading_progressbar_area' => [
                                'type'  => 'select-multiple',
                                'value' => ['post'],
                                'label' => esc_html__('Reading progressbar area', 'vinkmag'),
                                'desc'  => esc_html__('Select option for reading progressbar on top ', 'vinkmag'),
                                'choices' => [
                                   
                                   'post' => esc_html__('Blog Post', 'vinkmag'),
                                   'page' => esc_html__('Blog Page', 'vinkmag'),
                                   'category' => esc_html__('Blog Category', 'vinkmag'),
                                   'all' => esc_html__('All', 'vinkmag'),
                                   
                                   ]
                          
                                ],
                          ],
  
                      ]
                 ],
               
                 
                'general_container_width' => [
                    'type'			    => 'switch',
                    'label'			 => esc_html__( 'Custom Container Width', 'vinkmag' ),
                    'desc'			    => esc_html__( 'Do you want to enable custom container width?', 'vinkmag' ),
                    'value'          => 'no',
                    'left-choice'	 => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__('Yes', 'vinkmag'),
                    ],
                    'right-choice'	 => [
                        'value'	 => 'no',
                        'label'	 => esc_html__('No', 'vinkmag'),
                    ],
                ],
  
                'general_container_width_settings' => [
                 'type' => 'multi-picker',
                 'picker' => 'general_container_width',
        
                 'choices' => [
                       'yes' => [
                          'container_width_laptop' => [
                             'type'  => 'slider',
                             'value' => 960,
                             'properties' => [
                               
                                'min' => 900,
                                'max' => 3000,
                                'step' => 1, 
                               
                             ],
                             'label' => esc_html__('Container width laptop', 'vinkmag'),
                          ],
                          'container_width_desktop' => [
                             'type'  => 'slider',
                             'value' => 1200,
                             'properties' => [
                               
                                'min' => 900,
                                'max' => 3000,
                                'step' => 1, 
                               
                             ],
                             'label' => esc_html__('Container width Desktop', 'vinkmag'),
                          ],
                       ],
  
                   ]
              ],
            ],
        ],
    ];