<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * customizer option: general
 */
$options =[
    'style_settings' => [
            'title'		 => esc_html__( 'Style settings', 'vinkmag' ),
            'options'	 => [
                'body_font'    => array(
                    'type' => 'typography-v2',
                    'label' => esc_html__('Body Font', 'vinkmag'),
                    'desc'  => esc_html__('Choose the typography for the title', 'vinkmag'),
                    'value' => array(
                        'family' => 'Arimo',
                        'size'  => '14',
                    ),
                    'components' => array(
                        'family'         => true,
                        'size'           => true,
                        'line-height'    => false,
                        'letter-spacing' => false,
                        'color'          => false
                    ),
                ),
                'heading_font'	 => [
                    'type'		 => 'typography-v2',
                    'value'		 => [
                        'family'		 => 'Heebo',
                        'size'  => '',
                    ],
                    'components' => [
                        'family'         => true,
                        'size'           => true,
                        'line-height'    => false,
                        'letter-spacing' => false,
                        'color'          => false
                    ],
                    'label'		 => esc_html__( 'Heading Fonts', 'vinkmag' ),
                    'desc'		 => esc_html__( 'This is for heading google fonts', 'vinkmag' ),
                ],
                'body_bg_img' => [
                    'label'	        => esc_html__( 'Body Background Image', 'vinkmag' ),
                    'desc'	        => esc_html__( 'It will be shown on any "dark or coloreful" type area.', 'vinkmag' ),
                    'type'	        => 'upload',
                    'image_only'    => true,
                 ],


                'style_body_bg' => [
                    'label'	        => esc_html__( 'Body background Color', 'vinkmag' ),
                    'desc'	        => esc_html__( 'Site\'s main background color.', 'vinkmag' ),
                    'type'	        => 'color-picker',
                    'value'         => '#f0f1f4',
                 ],
                'style_primary' => [
                    'label'	        => esc_html__( 'Primary color', 'vinkmag' ),
                    'desc'	        => esc_html__( 'Site\'s main color.', 'vinkmag' ),
                    'type'	        => 'color-picker',
                    'value'         => '#d72924',
                 ],
                'style_primary_dark' => [
                    'label'	        => esc_html__( 'Primary background dark', 'vinkmag' ),
                    'desc'	        => esc_html__( 'Site\'s main background color.', 'vinkmag' ),
                    'type'	        => 'color-picker',
                    'value'         => '#c2211c',
                 ],
                'title_color' => [
                    'label'	        => esc_html__( 'Title color', 'vinkmag' ),
                    'desc'	        => esc_html__( 'Site\'s main background color.', 'vinkmag' ),
                    'type'	        => 'color-picker',
                    'value'         => '#101010',
                 ],
                 'style_box_shadow' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Box sadow?', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to use box shadow on post blocks?', 'vinkmag' ),
                    'value'          => 'yes',
                    'left-choice'	 => [
                        'value'	 => 'yes',
                        'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                    ],
                    'right-choice'	 => [
                        'value'	 => 'no',
                        'label'	 => esc_html__( 'No', 'vinkmag' ),
                    ],
                ],

                'style_theme_setting' => [
                    'type'			 => 'switch',
                    'label'			 => esc_html__( 'Theme dark style?', 'vinkmag' ),
                    'desc'			 => esc_html__( 'Do you want to use theme style?', 'vinkmag' ),
                    'value'          => 'light',
                    'left-choice'	 => [
                        'value'	 => 'dark',
                        'label'	 => esc_html__( 'Dark', 'vinkmag' ),
                    ],
                    'right-choice'	 => [
                        'value'	 => 'light',
                        'label'	 => esc_html__( 'Light', 'vinkmag' ),
                    ],
                ],
   
              'style_theme_setting_options' => array(
                 'type' => 'multi-picker',
                 'picker' => 'style_theme_setting',
         
                 'choices' => array(
                     'dark' => array(
                       'box_bg_color' => [
                          'label'	        => esc_html__( 'Content box bg color', 'vinkmag' ),
                          'desc'	        => esc_html__( 'Content box bg color.', 'vinkmag' ),
                          'type'	        => 'color-picker',
                          'value'          => '#1f1f1f',
                       ],
                       'body_text_color' => [
                          'label'	        => esc_html__( 'Body text color', 'vinkmag' ),
                          'desc'	        => esc_html__( 'Body text color.', 'vinkmag' ),
                          'type'	        => 'color-picker',
                          'value'          => '#1f1f1f',
                       ],
  
                       'title_text_color' => [
                          'label'	        => esc_html__( 'title text color', 'vinkmag' ),
                          'desc'	        => esc_html__( 'title text color.', 'vinkmag' ),
                          'type'	        => 'color-picker',
                          'value'          => '#ffffff',                          
                       ],
                     ),
         
                 )
             ),

             'style_darklight_mode' => [
                'type'			 => 'switch',
                'label'			 => esc_html__( 'Show Dark/Light Icon?', 'vinkmag' ),
                'desc'			 => esc_html__( 'Do you want to show dark/light icon?', 'vinkmag' ),
                'value'          => 'no',
                'left-choice'	 => [
                    'value'	 => 'yes',
                    'label'	 => esc_html__( 'Yes', 'vinkmag' ),
                ],
                'right-choice'	 => [
                    'value'	 => 'no',
                    'label'	 => esc_html__( 'No', 'vinkmag' ),
                ],
            ],
             
            ],
        ],
    ];