<?php if ( !defined( 'FW' ) ) {	die( 'Forbidden' ); }

$options_common = array(
	'settings-featured-video' => array(
		'title'		 => esc_html__( 'Featured video', 'vinkmag' ),
		'type'		 => 'box',
		'priority'	 => 'default',
		'context'	 => 'side',
		'options'	 => array(
			'featured_video'	 => array(
				'type'	 => 'text',
				'label'	 => esc_html__( 'Video URL', 'vinkmag' ),
				'desc'	 => esc_html__( 'Paste a video link from Youtube, Vimeo, Dailymotion, Facebook or Twitter it will be embedded in the post and the thumb used as the featured image of this post. 
				You need to choose "Video Format" as post format to use "Featured Video".', 'vinkmag' ),
			)
		),
	),

	'settings-banner-image' => array(
		'title'		 => esc_html__( 'Banner Image', 'vinkmag' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'context'	 => 'side',
		'options'	 => array(
			'banner-image'	 => array(
				'type'  => 'upload',
				'desc'  => __('Upload an image if you do not want to show default featured image', 'vinkmag'),
				'images_only' => true,
			)
		)
		
	),


	'settings-breaking-news' => array(
		'title'		 => esc_html__( 'Breaking news', 'vinkmag' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'context'	 => 'side',
		'options'	 => array(
			'breaking_news'	 => array(
				'type'	 => 'switch',
				'value'	 => 'no',
				'label'	 => esc_html__( 'Set as breaking news?', 'vinkmag' ),
				'left-choice' => array(
					'value' => 'yes',
					'label' => esc_html__( 'Yes', 'vinkmag' ),
				),
				'right-choice' => array(
					'value' => 'no',
					'label' => esc_html__( 'No', 'vinkmag' ),
				),
			)
		),
	),
);


if(defined('VINKMAG_DEMO')){
	$options_common['settings-post-layout'] = array(
		'title'		 => esc_html__( 'Post layout', 'vinkmag' ),
		'type'		 => 'box',
		'priority'	 => 'high',
		'options'	 => [
			'override_default'	 => [
				'type'	 => 'switch',
				'value'	 => 'no',
				'label'	 => esc_html__( 'Override default layouts?', 'vinkmag' ),
				'desc'	 => esc_html__( 'You can change the default options from customizer\'s "Blog settings".', 'vinkmag' ),
				'left-choice' => [
					'value' => 'yes',
					'label' => esc_html__( 'Yes', 'vinkmag' ),
				],
				'right-choice' => [
					'value' => 'no',
					'label' => esc_html__( 'No', 'vinkmag' ),
				],
			],
			'post_header_layout' => [
				'label'	        => esc_html__( 'Post header layout', 'vinkmag' ),
				'desc'	        => esc_html__( 'Single post\'s header style.', 'vinkmag' ),
				'type'	        => 'image-picker',
				'choices'       => [
					'style1'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style1.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style1.png',
					],
					'style2'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style2.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style2.png',
					],
					'style3'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style3.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style3.png',
					],
					'style4'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style4.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style4.png',
					],
					'style5'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style5.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style5.png',
					],
					'style6'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style6.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style6.png',
					],
					'style7'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style7.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style7.png',
					],
					'style8'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style8.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style8.png',
					],
					'style9'    => [
						'small'     => VINKMAG_IMG . '/admin/post-header-layout/min-style9.png',
						'large'     => VINKMAG_IMG . '/admin/post-header-layout/style9.png',
					],
				],
				'value'         => 'style1',
			],
			'post_sidebar_layout' => [
				'label'	        => esc_html__( 'Post sidebar layout', 'vinkmag' ),
				'desc'	        => esc_html__( 'The sidebar position of a blog post.', 'vinkmag' ),
				'type'	        => 'image-picker',
				'choices'       => [
					'sidebar-right'    => [
						'small'     => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-right.png',
						'large'     => VINKMAG_IMG . '/admin/post-sidebar-layout/sidebar-right.png',
					],
					'sidebar-none'    => [
						'small'     => VINKMAG_IMG . '/admin/post-sidebar-layout/min-sidebar-none.png',
						'large'     => VINKMAG_IMG . '/admin/post-sidebar-layout/sidebar-none.png',
					]
				],
				'value'         => 'style1',
			],
		],
	);
}

$options = $options_common;