<?php if (!defined('ABSPATH')) die('Direct access forbidden.');
/**
 * enqueue all theme scripts and styles
 */


// stylesheets
// ----------------------------------------------------------------------------------------
if ( !is_admin() ) {
	// wp_enqueue_style() $handle, $src, $deps, $version

	// 3rd party css
	wp_enqueue_style( 'vinkmag-fonts', vinkmag_google_fonts_url(['Arimo:400,400i,700,700i', 'Heebo:400,500,700,800,900', 'Merriweather:400,400i,700,700i,900,900i']), null, VINKMAG_VERSION );
	wp_enqueue_style( 'bootstrap', VINKMAG_CSS . '/bootstrap.min.css', null, VINKMAG_VERSION );

	wp_style_add_data( 'bootstrap', 'rtl', 'replace' );
	wp_enqueue_style( 'animate', VINKMAG_CSS . '/animate.css', null, VINKMAG_VERSION );
	wp_enqueue_style( 'vinkmag-icon-elementor', VINKMAG_CSS.'/xs-icons.css', null, VINKMAG_VERSION );
	wp_enqueue_style( 'mCustomScrollbar', VINKMAG_CSS . '/jquery.mCustomScrollbar.css', null, VINKMAG_VERSION );
	wp_enqueue_style( 'magnific-popup', VINKMAG_CSS . '/magnific-popup.css', null, VINKMAG_VERSION );
	wp_enqueue_style( 'swiper', VINKMAG_CSS . '/swiper.min.css', null, VINKMAG_VERSION );

	// theme css
	wp_enqueue_style( 'vinkmag-style', VINKMAG_CSS . '/style.css', null, VINKMAG_VERSION );
	if( !is_front_page() && !is_home() ){
		wp_enqueue_style( 'vinkmag-blog', VINKMAG_CSS . '/blog.css', null, VINKMAG_VERSION );
	}
	wp_enqueue_style( 'vinkmag-responsive', VINKMAG_CSS . '/responsive.css', null, VINKMAG_VERSION );
	wp_enqueue_style( 'vinkmag-gutenberg-custom', VINKMAG_CSS . '/gutenberg-custom.css', null, VINKMAG_VERSION );
	if ( is_rtl() ) {
		wp_enqueue_style( 'vinkmag-rtl', VINKMAG_THEME_URI . '/rtl.css', null, VINKMAG_VERSION );
	}
}

// javascripts
// ----------------------------------------------------------------------------------------
if ( !is_admin() ) {
	// wp_enqueue_script() $handle, $src, $deps, $version, $in_footer(boolean)

	// 3rd party scripts
	wp_enqueue_script( 'popper', VINKMAG_JS . '/popper.min.js', array( 'jquery' ), VINKMAG_VERSION, true );
	if ( is_rtl() ) {
		wp_enqueue_script( 'bootstrap', VINKMAG_JS . '/bootstrap.min-rtl.js', array( 'jquery' ), VINKMAG_VERSION, true );
	} else {
		wp_enqueue_script( 'bootstrap', VINKMAG_JS . '/bootstrap.min.js', array( 'jquery' ), VINKMAG_VERSION, true );
	}
	wp_enqueue_script( 'magnific-popup', VINKMAG_JS . '/jquery.magnific-popup.min.js', array( 'jquery' ), VINKMAG_VERSION, true );
	wp_enqueue_script( 'echo', VINKMAG_JS . '/echo.min.js', array( 'jquery' ), VINKMAG_VERSION, true );
	wp_enqueue_script( 'instafeed', VINKMAG_JS . '/instafeed.min.js', array( 'jquery' ), VINKMAG_VERSION, true );
	wp_enqueue_script( 'mCustomScrollbar-concat', VINKMAG_JS . '/jquery.mCustomScrollbar.concat.min.js', array( 'jquery' ), VINKMAG_VERSION, true );
	wp_enqueue_script( 'swiper', VINKMAG_JS . '/swiper.min.js', array( 'jquery' ), VINKMAG_VERSION, true );

	if( vinkmag_option('blog_sticky_sidebar', 'yes') == 'yes' && is_single()){
		wp_enqueue_script( 'resize-theia', VINKMAG_JS . '/ResizeSensor.min.js', array( 'jquery' ), VINKMAG_VERSION, true  );
		wp_enqueue_script( 'sticky-theia', VINKMAG_JS . '/theia-sticky-sidebar.min.js', array( 'jquery' ), VINKMAG_VERSION, true  );
		wp_enqueue_script( 'sticky-sidebar', VINKMAG_JS . '/sticky-sidebar.js', array( 'jquery' ), VINKMAG_VERSION, true  );
	}
	
	//font observer
	wp_enqueue_script('font-face', VINKMAG_JS . '/fontfaceobserver.js', array('jquery'), VINKMAG_VERSION, true);
	// theme scripts
	wp_enqueue_script( 'vinkmag-script', VINKMAG_JS . '/script.js', array( 'jquery' ), VINKMAG_VERSION, true );

	wp_localize_script( 'vinkmag-script', 'vinkmag_ajax', array( 'ajax_url' => admin_url( 'admin-ajax.php' ) ) );
	// Load WordPress Comment js
	if ( is_singular() && comments_open() && get_option( 'thread_comments' ) ) {
		wp_enqueue_script( 'comment-reply' );
	}
}