<?php

function vinkmag_filter_fw_ext_backups_demos( $demos ) {
	$demo_content_installer	 = VINKMAG_REMOTE_CONTENT;
	$demos_array			 = array(
		'demo'			 => array(
			'title'			 => esc_html__( 'Default (1-10 styles together)', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/demo/screenshot.png',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL ),
		),
        'trendy'		 => array(
            'title'			 => esc_html__( 'Trendy', 'vinkmag' ),
            'screenshot'	 => esc_url( $demo_content_installer ) . '/trendy/trendy.png',
            'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/trendy' ),
        ),
		'sports'			 => array(
			'title'			 => esc_html__( 'Sports', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/sports/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/sports' ),
		),
        'dark'		 => array(
            'title'			 => esc_html__( 'Vinkmag Dark', 'vinkmag' ),
            'screenshot'	 => esc_url( $demo_content_installer ) . '/dark/screenshot.jpg',
            'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/vinkmag-dark' ),
        ),
        'automobil'		 => array(
            'title'			 => esc_html__( 'Automobil', 'vinkmag' ),
            'screenshot'	 => esc_url( $demo_content_installer ) . '/automobil/automobil.png',
            'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/automobil' ),
        ),
        'vingame'		 => array(
            'title'			 => esc_html__( 'Vingame', 'vinkmag' ),
            'screenshot'	 => esc_url( $demo_content_installer ) . '/vingame/vingame.jpg',
            'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/vingame' ),
        ),
		'crypto'			 => array(
			'title'			 => esc_html__( 'Crypto', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/crypto/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/crypto' ),
		),
		'foods'			 => array(
			'title'			 => esc_html__( 'Foods', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/foods/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/foods' ),
		),
		'health'			 => array(
			'title'			 => esc_html__( 'Health', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/health/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/health' ),
		),
		'technology'			 => array(
			'title'			 => esc_html__( 'Technology', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/technology/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/technology' ),
		),
		'travel'			 => array(
			'title'			 => esc_html__( 'Travel', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/travel/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/travel' ),
		),
		'business'			 => array(
			'title'			 => esc_html__( 'Business', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/business/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/business' ),
		),
		'personal-blog'		 => array(
			'title'			 => esc_html__( 'Personal Blog', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/personal-blog/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/personal-blog' ),
		),
		'times'		 => array(
			'title'			 => esc_html__( 'Vink Times', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/times/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/vink-times' ),
		),
		'news'		 => array(
			'title'			 => esc_html__( 'Vink News', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/news/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/vink-news' ),
		),
		'vingraph'		 => array(
			'title'			 => esc_html__( 'Vink Photography', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/vingraph/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/vingraph' ),
		),
		'material'		 => array(
			'title'			 => esc_html__( 'Vink Material', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/material/screenshot.jpg',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/home-material' ),
		),

        'rtl'		 => array(
			'title'			 => esc_html__( 'Default RTL', 'vinkmag' ),
			'screenshot'	 => esc_url( $demo_content_installer ) . '/rtl/screenshot.png',
			'preview_link'	 => esc_url( VINKMAG_LIVE_URL . '/rtl' ),
		),

	);
	$download_url			 = esc_url( $demo_content_installer ) . '/manifest.php';
	foreach ( $demos_array as $id => $data ) {
		$demo						 = new FW_Ext_Backups_Demo( $id, 'piecemeal', array(
			'url'		 => $download_url,
			'file_id'	 => $id,
		) );
		$demo->set_title( $data[ 'title' ] );
		$demo->set_screenshot( $data[ 'screenshot' ] );
		$demo->set_preview_link( $data[ 'preview_link' ] );
		$demos[ $demo->get_id() ]	 = $demo;
		unset( $demo );
	}
	return $demos;
}


add_filter( 'fw:ext:backups-demo:demos', 'vinkmag_filter_fw_ext_backups_demos' );