<?php
/**
 * content.php
 *
 * The default template for displaying content.
 */
$blog_author_show = (isset($settings['show_authors'])) 
						? $settings['show_authors'] 
						: vinkmag_option( 'blog_author_show', 'yes' );
						
$blog_author_image_show = (isset($settings['show_author_images'])) 
						? $settings['show_author_images'] 
						: vinkmag_option( 'blog_author_image_show', 'yes' );

$blog_date_show			= (isset($settings['show_date'])) 
						? $settings['show_date'] 
						: vinkmag_option( 'blog_date_show', 'yes' );
$blog_cat_show		= (isset($settings['show_cat'])) 
						? $settings['show_cat'] 
						: vinkmag_option( 'blog_cat_show', 'yes' );
$crop					= (isset($settings['post_title_crop']))
						? $settings['post_title_crop']
                  : 200;

                  
$desc_limit			= (isset($settings['desc_limit']))
						? $settings['desc_limit']
                  : 35;
$show_desc			= (isset($settings['show_desc']))
						? $settings['show_desc']
                  : 'yes';

?>
<div <?php post_class('row mb-10'); ?>>
	<div class="col-md-4">
		<div class="ts-post-thumb">
			<?php if($blog_cat_show	== 'yes'): ?>
			<?php $cat = get_the_category(); ?>
			<a 
				class="post-cat" 
				href="<?php echo esc_url(get_category_link($cat[0]->term_id)); ?>"
				style="<?php echo esc_attr(vinkmag_cat_style($cat[0]->term_id)); ?>"
				>
				<?php echo get_cat_name($cat[0]->term_id); ?>
			</a>
			<?php endif; ?>
			<a href="<?php the_permalink() ?>">
				<img 
					class="img-fluid" 
					src="<?php echo esc_url(vinkmag_post_thumbnail(get_the_ID())); ?>" 
					alt="<?php echo esc_attr(vinkmag_alt(get_the_ID())); ?>">
			</a>
		</div>
	</div>
	<div class="col-md-8">
		<div class="post-content">
			<h3 class="post-title md">
				<a href="<?php the_permalink(); ?>"><?php echo esc_html(vinkmag_limited_title(get_the_title(), $crop)); ?></a>
			</h3>
			<ul class="post-meta-info">
				<?php if($blog_author_show == 'yes'): ?>
				<li class="author">
					<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
						<?php if($blog_author_image_show == 'yes'):?>
							<?php echo get_avatar(get_the_author_meta('ID')); ?>
						<?php endif; ?>
						<?php echo esc_html(get_the_author_meta('display_name')); ?>
					</a>
				</li>
				<?php endif; ?>
				
				<?php if($blog_date_show == 'yes'): ?>
				<li>
					<i class="xsicon xsicon-clock"></i><?php echo get_the_date(); ?>
				</li>
				<?php endif; ?>
			</ul>
			
			<?php if($show_desc=='yes'): ?>
				<p>
					<?php echo esc_html(wp_trim_words(wp_strip_all_tags(get_the_content()), $desc_limit,'')); ?>
				</p>
			<?php endif; ?>
		</div>
	</div>
</div>