<?php
/**
 * content.php
 *
 * The default template for displaying content.
 */

$blog_author_show = (isset($settings['show_author'])) 
						? $settings['show_author'] 
						: vinkmag_option( 'blog_author_show', 'yes' );
						
$blog_author_image_show = (isset($settings['show_author_image'])) 
						? $settings['show_author_image'] 
						: vinkmag_option( 'blog_author_image_show', 'yes' );

$blog_date_show			= (isset($settings['show_date'])) 
						? $settings['show_date'] 
						: vinkmag_option( 'blog_date_show', 'yes' );
$blog_cat_show			= (isset($settings['show_cat'])) 
						? $settings['show_cat'] 
						: vinkmag_option( 'blog_cat_show', 'yes' );

$crop					= (isset($settings['post_title_crop']))
						? $settings['post_title_crop']
                  : 200;
$desc_limit			= (isset($settings['desc_limit']))
						? $settings['desc_limit']
                  : 35;
$show_desc	    = (isset($settings['show_desc'])) 
						? $settings['show_desc'] 
                  : 'yes';
$shadow_opt			= (isset($settings['shadow_opt']))
						? $settings['shadow_opt']
                  : '';

$post_class = (($shadow_opt == 'yes') ? '' : esc_attr('grid-no-shadow')).'ts-grid-box ts-grid-content post-col-list-item';
?>
<div <?php post_class($post_class); ?>>
	<?php require VINKMAG_THEME_DIR . '/template-parts/blogs/post-meta/meta-thumb-only.php'; ?>
	<div class="post-content">
	
		<ul class="post-meta-info">
      <?php if($blog_cat_show == 'yes'): $cat = get_the_category(); ?>
         <li>
            <a 
               class="cat-name" 
               href="<?php echo get_category_link($cat[0]->term_id); ?>"
               >
               <?php echo get_cat_name($cat[0]->term_id); ?>
            </a>
         </li>
         <?php endif; ?>

			<?php if($blog_author_show == 'yes'): ?>
			<li class="author">
				<a href="<?php echo esc_url(get_author_posts_url(get_the_author_meta('ID'))); ?>">
					<?php if($blog_author_image_show == 'yes'):?>
						<?php echo get_avatar(get_the_author_meta('ID')); ?>
					<?php endif; ?>
					<?php echo esc_html(get_the_author_meta('display_name')); ?>
				</a>
			</li>
			<?php endif; ?>
			<?php if($blog_date_show == 'yes'): ?>
			<li>
				<i class="xsicon xsicon-clock"></i><?php echo get_the_date(); ?>
			</li>
			<?php endif; ?>
      </ul>
      <h3 class="post-title">
			<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
      </h3>
      
		<?php if($show_desc=='yes'): ?>
            <p>
                <?php echo esc_html(wp_trim_words(wp_strip_all_tags(get_the_content()), $desc_limit,'')); ?>
            </p>
        <?php endif; ?>
      <a href="<?php the_permalink(); ?>" class="read-more-btn"><?php esc_html_e('Read More', 'vinkmag'); ?></a>
	</div>
</div>