<?php if(vinkmag_option('header_show_topbar', 'no') == 'yes'): ?>
<!-- top bar start -->
<section class="top-bar">
	<div class="container">
		<div class="row">
			<div class="col-lg-7 align-self-center md-center-item">
			
				<?php get_template_part( 'template-parts/navigations/nav', 'top' ); ?>
			</div>
			<!-- end col-->

			<div class="col-lg-5 text-right align-self-center">
				<ul class="top-social">
					<li>
						<?php 
						$social_links = vinkmag_option('general_social_links', 
										[
											[
												'icon_class' => 'xsicon xsicon-facebook', 
												'url' => esc_url('http://facebook.com/xpeedstudio/'),
											]
										]);
						foreach($social_links as $sl):
						?>
						<a href="<?php echo esc_url($sl['url']); ?>">
							<i class="<?php echo esc_attr($sl['icon_class']); ?>"></i>
						</a>
						<?php endforeach; ?>
					</li>
					<li class="ts-date">
						<i class="xsicon xsicon-clock"></i>
                        <?php echo date_i18n(get_option('date_format')); ?>
					</li>
				</ul>
			</div>
			<!--end col -->
		</div>
		<!-- end row -->
	</div>
</section>
<!-- end top bar-->
<?php endif; ?>


<?php if(vinkmag_option('header_show_banner', 'yes') == 'yes'): ?>
<!-- ad banner start -->
<section class="header-middle">
	<div class="container">
		<div class="row">
			<div class="col-lg-12">
				<div class="banner-img">
					<?php vinkmag_ad('top_banner', 'banner.jpg'); ?>
				</div>
			</div>
			<!-- col end -->
		</div>
		<!-- row  end -->
	</div>
	<!-- container end -->
</section>
<!-- ad banner end -->
<?php endif; ?>


<!-- header nav start-->
<header class="header-default">
	<div class="container">
		<div class="row">
			<div class="col-lg-2 pr-0">
				<div class="logo">
									
					<?php
                       
						$vinkmag_logo_url =  vinkmag_src(
							'general_light_logo',
							VINKMAG_IMG . '/logo/logo_light.png'
						);
					 
				     ?> 
					<?php echo  vinkmag_text_logo()?'<h1 class="logo-title">':''; ?>
					   <a rel='home' class="logo" href="<?php echo esc_url(home_url('/')); ?>">
						  <?php if(vinkmag_text_logo()): ?> 
						      <?php echo esc_html(vinkmag_text_logo()); ?>
						  <?php else: ?>
							 <img width="150" height="75" loading="lazy"  class="img-fluid" src="<?php echo esc_url($vinkmag_logo_url); ?>" alt="<?php echo get_bloginfo('name') ?>">
						  <?php endif; ?>
					   </a>
					<?php echo vinkmag_text_logo()?'</h1>':''; ?>  
				</div>
			</div>
			<!-- logo end-->
			<div class="col-lg-10 header-nav-item">
				<div class="ts-breaking-news clearfix">
					<h2 class="breaking-title float-left">
						<i class="xsicon xsicon-bolt"></i> <?php esc_html_e('Breaking News :', 'vinkmag'); ?></h2>
					<div class="breaking-news-content swiper float-left" id="breaking_slider">
						<div class="swiper-wrapper">
							<?php 
							$the_query = vinkmag_breaking_news_query();

							if ( $the_query->have_posts() ) :
								while ($the_query->have_posts()):
									$the_query->the_post();
							?>
									<div class="breaking-post-content swiper-slide">
										<p>
											<a href="<?php the_permalink(); ?>"><?php the_title(); ?></a>
										</p>
									</div>
							<?php
								endwhile;
								wp_reset_postdata();
							else:
								esc_html_e('nothing found', 'vinkmag');
							endif;
							?>
						</div>
						<!-- If we need navigation buttons -->
						<div class="slider-navigation">
							<div class="swiper-button-prev">
							<i class="xsicon xsicon-angle-left"></i>
							</div>
							<div class="swiper-button-next">
							<i class="xsicon xsicon-angle-right"></i>
							</div> 
						</div>
					</div>
				</div>
				<!--nav top end-->
				<?php get_template_part( 'template-parts/navigations/nav', 'primary-style1' ); ?>
				<!-- nav end-->
			</div>
		</div>
	</div>
</header>
<!-- header nav end-->
